# Flake8: noqa
from importlib import import_module
from infi.shell import manifest

__all__ = ["manifest"]

COMMAND_MODULES = """

    general
    magic

    system
    pool
    volume
    host
    cluster
    mapping
    filesystem
    filesystem_export
    replication
    
    node
    enclosure
    drive

    events
    user
    metadata

    config
    config.general
    config.notifications
    config.ldap
    config.system
    config.fc
    config.network

"""

for commands_module in COMMAND_MODULES.split():
    import_module("infinishell.infinibox.commands." + commands_module)
